package meta

import (
	"path/filepath"
	"testing"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/internal/storagetest"
)

func TestGeneric(t *testing.T) {
	t.Parallel()

	newMetabase := func(t *testing.T) storagetest.Component {
		return New(
			WithEpochState(epochStateImpl{}),
			WithPath(filepath.Join(t.TempDir(), "metabase")))
	}

	storagetest.TestAll(t, newMetabase)
}
