package blobovniczatree

// ID represents Blobovnicza identifier.
type ID []byte

// NewIDFromBytes constructs an ID from a byte slice.
func NewIDFromBytes(v []byte) *ID {
	return (*ID)(&v)
}

func (id ID) Path() string {
	return string(id) + dbExtension
}

func (id ID) Bytes() []byte {
	return id
}
